# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::ErrorMessage Class Reference

`#include <message.h>`

Inheritance diagram for DBus::ErrorMessage:

## Public Member Functions

| ErrorMessage ()
| ErrorMessage (const Message &, const char *name, const char *message)
const char * | name () const
bool | name (const char *n)
bool | operator== (const ErrorMessage &) const
Public Member Functions inherited from DBus::Message
| Message (Private *, bool incref=true)
| Message (const Message &m)
| ~Message ()
Message & | operator= (const Message &m)
Message | copy ()
int | type () const
int | serial () const
int | reply_serial () const
bool | reply_serial (int)
const char * | sender () const
bool | sender (const char *s)
const char * | destination () const
bool | destination (const char *s)
bool | is_error () const
bool | is_signal (const char *interface, const char *member) const
MessageIter | reader () const
MessageIter | writer ()
bool | append (int first_type,...)
void | terminate ()

## Additional Inherited Members

Protected Member Functions inherited from DBus::Message
| Message ()
Protected Attributes inherited from DBus::Message
RefPtrI< Private > | _pvt

## Detailed Description

Definition at line 222 of file message.h.

## Constructor & Destructor Documentation

## ◆ ErrorMessage() [1/2]

ErrorMessage::ErrorMessage | ( |  | ) |

Definition at line 490 of file message.cpp.

References DBus::Message::_pvt.

Referenced by operator==().

## ◆ ErrorMessage() [2/2]

ErrorMessage::ErrorMessage | ( | const Message & | to_reply,
|  | const char * | name,
|  | const char * | message )

Definition at line 495 of file message.cpp.

References DBus::Message::_pvt, DBus::Message::Message(), and name().

## Member Function Documentation

## ◆ name() [1/2]

const char * ErrorMessage::name | ( |  | ) | const

Definition at line 505 of file message.cpp.

References DBus::Message::_pvt.

Referenced by ErrorMessage(), and operator==().

## ◆ name() [2/2]

bool ErrorMessage::name | ( | const char * | n | ) |

Definition at line 510 of file message.cpp.

References DBus::Message::_pvt.

## ◆ operator==()

bool ErrorMessage::operator== | ( | const ErrorMessage & | m | ) | const

Definition at line 500 of file message.cpp.

References DBus::Message::_pvt, ErrorMessage(), and name().

The documentation for this class was generated from the following files:

- message.h
- message.cpp